Bug 21437 - Puppet can't run because of incorrect unit file shipped in the RPM
Summary: Puppet can't run because of incorrect unit file shipped in the RPM
Status: NEW
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: Cauldron
Hardware: All Linux
Priority: High major
Target Milestone: ---
Assignee: Sysadmin Team
QA Contact:
URL:
Whiteboard: MGA6TOO,
Keywords:
Depends on:
Blocks:
 
Reported: 2017-08-02 16:37 CEST by Remco Rijnders
Modified: 2020-09-21 13:21 CEST (History)
1 user (show)

See Also:
Source RPM: puppet-4.2.1-4.mga6.src.rpm
CVE:
Status comment:


Attachments

Description Remco Rijnders 2017-08-02 16:37:39 CEST
Description of problem:
puppet won't run properly because of incorrect unit files.

The puppet.service file shipped in the rpm contains the following:
"
[Unit]
Description=Puppet agent
Wants=basic.target
After=basic.target network.target

[Service]
EnvironmentFile=-/etc/sysconfig/puppetagent
EnvironmentFile=-/etc/sysconfig/puppet
EnvironmentFile=-/etc/default/puppet
ExecStart=/opt/puppetlabs/puppet/bin/puppet agent $PUPPET_EXTRA_OPTS --no-daemonize
KillMode=process

[Install]
WantedBy=multi-user.target
"

The ExecStart setting is obviously wrong. It looks like the SOURCE100 source from the spec file is never applied in the package built. It also look like SOURCE101, puppetmaster.service has the same issue.
Remco Rijnders 2017-08-02 16:37:54 CEST

CC: (none) => luigiwalser

Comment 1 Rémi Verschelde 2017-08-02 16:39:16 CEST
Assigning to sysadmins as puppet has no registered maintainer, but we need this fixed anyway before we can upgrade our own puppet-based infra to Mageia 6.

Assignee: bugsquad => sysadmin-bugs
Priority: Normal => High

David Walser 2017-08-20 23:34:11 CEST

CC: luigiwalser => (none)
See Also: (none) => https://bugs.mageia.org/show_bug.cgi?id=21577

Marja Van Waes 2017-08-21 20:53:49 CEST

Whiteboard: (none) => MGA6TOO,
CC: (none) => guillomovitch, marja11
Version: 6 => Cauldron

Comment 2 Aurelien Oudelet 2020-09-19 18:09:00 CEST
Hi,
This is High priority bug for a good reason.

Making Mageia even better than ever is best direction.
In order to do right thing, this bug should be examined and fixed as soon as possible.

Packagers, please make the status to Assigned when you are working on this.
Feel free to reassign the bug if bad-triaged. Also, if bug is old, please close it.

On October 1st 2020, we will drop priority to normal.
Comment 3 Guillaume Rousse 2020-09-21 13:21:11 CEST
>In order to do right thing, this bug should be examined and fixed as soon as >possible.
Sure, and a quick look at puppet systemd unit file in mageia 7 and cauldron show than the problem seems to be already fixed.

CC: guillomovitch => (none)


Note You need to log in before you can comment on or make changes to this bug.